# Query account statement items

Endpoint: GET /accounts/statements
Version: 2025-01-01
Security: BasicAuth

## Query parameters:

  - `startDate` (string, required)
    An ISO 8601 date-time string. From date and time. Timespan between 'startDate' and 'endDate' shouldn't exceed 31 days. This should not be a date in the future.
    Example: "2022-05-01T15:16:30Z"

  - `endDate` (string, required)
    An ISO 8601 date-time string. To date and time. Timespan between 'startDate' and 'endDate' shouldn't exceed 31 days. This should not be a date in the future.
    Example: "2022-05-05T15:16:30Z"

  - `accountNumber` (string)
    The account number. You must use this if you are an Account Payout customer. You can use this for a Marketplaces flow.
{% admonition type="warning" %}
accountNumber or partyReference must be provided. 
{% /admonition %}
    Example: "0005553123712133"

  - `partyReference` (string)
    Your reference for this party, must be unique within an entity. Typically used for a Marketplaces flow and used to retrieve information about your onboarded party. Allowed values: a-z, A-Z, 0-9, spaces and hyphens.
{% admonition type="warning" %}
accountNumber or partyReference must be provided. 
If partyReference is provided you must also include entity and currency.
{% /admonition %}
    Example: "Hosaka2738491"

  - `entity` (string)
    Used to route the request in Access Worldpay, created as part of on-boarding.
    Example: "default"

  - `currency` (string)
    The currency in ISO 4217 currency format for the account associated with the party.
    Example: "GBP"

  - `pageNumber` (integer)
    The page number of the results. Default is 1 if no value is provided. This value specifies the exact page of each list of statements that you want to retrieve.

  - `pageSize` (integer)
    Exact number of records per page to be shown. Max 500 items/rows. Value must be between 1-500. Default is 500 if no value is provided.

  - `fundingType` (string)
    Credit or debit operation. Value can be credit or debit. If no value is passed, the statement includes both credits and debits.
    Enum: "credit", "debit"

  - `transferType` (string)
    Type of the transaction used to filter out statement entries. Alphanumeric only. Special characters are restricted.
    Enum: "ACQUIRING SETTLEMENT", "BANKIN", "BANKIN_REFUND", "BANKOUT", "BENEFICIARY PAYOUT", "BENEFICIARY_FUNDING", "CHARGEBACK", "COMMISSION", "CORRECTION", "CREDIT", "DEBIT", "DEDUCTION", "EFTIN", "EFTIN_REFUND", "FFX PAYOUT", "FFX PAYOUT RETURNED", "FFX PAYOUT REVERSAL", "FX DEAL", "INTERNAL LIQUIDITY", "LIQUIDITY", "PAYIN", "PAYIN_REFUND", "PAYIN REVERSAL", "PAYOUT", "PAYOUT RETURNED", "PAYOUT REVERSAL", "REFUND", "SPLIT PAYMENT", "SPLIT PAYOUT", "STREAMLINE TRANSFER"

  - `countryCode` (string)
    The country code specified in ISO 3166-1 Alpha-2 code format of the transaction.

  - `amount` (number)
    The transaction amount.

  - `transactionReference` (string)
    Your unique reference for the payment request. This can be a "like" search (exact or partial match). Special characters are allowed. For the list, please see our formatting guide.

## Header parameters:

  - `WP-Api-Version` (string, required)
    Represents the version of the API.
    Example: "2025-01-01"

  - `WP-CorrelationId` (string)
    Optional ID to trace requests, if not provided, it is generated.
    Example: "15cd16b2-7b82-41cb-9b11-21be9dacad88"

  - `WP-CallerId` (string)
    An ID used for logging purposes.

  - `Accept` (string)
    Accept header is optional and must be application/json if provided.
    Example: "application/json"

## Response 200 fields (application/json):

  - `accountNumber` (string,null)
    The account number.

  - `currency` (string,null)
    The currency, determined by the first item in the list. The currency is the same for all items.

  - `accountStatementItems` (array,null)
    A collection of account statement items.

  - `accountStatementItems.transactionReference` (string,null)
    Your unique reference for the transaction.

  - `accountStatementItems.transferType` (string,null)
    The transfer type.

  - `accountStatementItems.amount` (number)
    The amount.

  - `accountStatementItems.timestamp` (string)
    The posting date of the specific statement item.

  - `accountStatementItems.fundingType` (string,null)
    A credit or debit operation. Value can be credit or debit.

  - `accountStatementItems.rate` (number,null)
    The rate applied for FX conversion.

  - `accountStatementItems.cleared` (string,null)
    Cleared balance or uncleared balance. Value can be yes or no.

  - `accountStatementItems.description` (string,null)
    The description of this statement item.

  - `accountStatementItems.statementItemId` (string)
    The statement identifier.

  - `accountStatementItems.balance` (number)
    The balance that resulted from this statement item's transaction.

  - `accountStatementItems.statementNumber` (integer)
    The statement number.

  - `accountStatementItems.narrative` (object)

  - `accountStatementItems.narrative.line1` (string,null)

  - `accountStatementItems.countryCode` (string,null)
    The country code.

  - `accountStatementItems.originalCurrency` (string,null)
    For statement items (debits/credits) with no FX conversion involved, originalCurrency value will be null.

In case an FX conversion is involved, then:

 - For debit items, originalCurrency shows the target currency.
 - For credit items, originalCurrency shows the source currency.

  - `accountStatementItems.originalAmount` (number,null)
    For statement items (debits/credits) with no FX conversion involved, originalAmount value will be null.

In case an FX conversion is involved, then:

 - For debit items, originalAmount shows the target amount.
 - For credit items, originalAmount shows the source amount.

  - `pageNumber` (integer)
    The page number. Default is 1 if no value is provided. This value specifies the exact page of each list of statements that you want to retrieve.

  - `pageSize` (integer)
    The exact number of records per page to be shown. Max 500 items/rows. Value must be between 1-500. Default is 500 if no value is provided.

  - `pageCount` (integer)
    The total number of pages.

  - `totalNumberOfRecords` (integer)
    The total number of records.

## Response 400 fields (application/json):

  - `errorName` (string,null)
    Unique response code for this endpoint.

  - `message` (string,null)
    Error message.

  - `headerName` (string,null)
    Error message.

  - `validationErrors` (array,null)
    Collection of error details. This field may be omitted from the response depending on the nature of the error.

  - `validationErrors.errorName` (string,null)

  - `validationErrors.message` (string,null)

  - `validationErrors.queryParameter` (string,null)

## Response 401 fields (application/json):

  - `errorName` (string,null)
    Unique response code for this endpoint.

  - `message` (string,null)
    Error message.

  - `headerName` (string,null)
    Error message.

## Response 403 fields (application/json):

  - `errorName` (string,null)
    Unique response code for this endpoint.

  - `message` (string,null)
    Error message.

  - `headerName` (string,null)
    Error message.

## Response 404 fields (application/json):

  - `errorName` (string,null)
    Unique response code for this endpoint.

  - `message` (string,null)
    Error message.

  - `headerName` (string,null)
    Error message.

## Response 500 fields (application/json):

  - `errorName` (string,null)
    Unique response code for this endpoint.

  - `message` (string,null)
    Error message.

  - `headerName` (string,null)
    Error message.


## Response 204 fields
